Как избавиться от проблем установки ПО в GNU/Linux

3 июля 2009
Рубрика: Linux, Заметки
Теги: ,

Zeboton

Сегодня наткнулся на интересную, на мой взгляд, статью — Как избавиться от проблем установки ПО в GNU/Linux. В ней поднимает очень интересный вопрос, с которым я уже много раз сталкивался, но никак не мог сформулировать, и мне кажется его решение может способствовать продвижению Linux на десктопах. Но здесь у меня возникает другой вопрос — а надо ли это? Нужно ли миру Linux наличие в нём юзверей?

В любом случае, читаем и думаем.

5 комментариев для “Как избавиться от проблем установки ПО в GNU/Linux”

  1. Softovick3 июля 2009 ~ 20:44

    А я насторожено отношусь. ИМХО ставить программы должен тот, кто соображает что делает. Установка программ в Ubuntu одна из самых простых, какие я вообще видел. А те, кому надо специфичную программу или несколько версий одной программы, опять же ИМХО, должны знать, что творят, а не просто кликать (ну не могу я представить специалиста, нуждающегося в различных версиях одного ПО и не умеющего его ставить)

  2. Zeboton3 июля 2009 ~ 21:19

    Если разделить системную область программ и пользовательскую, причём пользовательскую область нужно разделить ещё на две — программы и данные/файлы, и пользовательские программы не должны иметь доступ к системной области (на запись), а также к данным/файлам пользователя (на чтение и запись) без разрешения пользователя, кроме своих конфигов, то тогда можно разрешить пользователю устанавливать всё что угодно, даже трояны и вирусы 🙂

    В статье был описан пример специалиста не умеющего пользоваться бубном: веб-дизайнер, которому нужно проверять как работает сайт в разных версиях Fx, Opera, Safari и IE. Есть, конечно, специальные сервисы (BrowserShots, Xenocode Browser Sandbox), но их не всегда удобно использовать, так как для того чтобы они проверили макет он должен быть уже выложен в сеть.

    Кстати, по поводу IE. Советую попробовать установить несколько версий IE в Windows без бубна, а потом можно уже рассуждать о сложности установки браузеров разных версий в Linux 🙂

    И уж если пошла такая пьянка, а не напишет ли кто-нибудь заметку о том как установить Firefox 3.5 в Ubuntu 9.04, а то чувствуется нужно использовать бубен, а его искать времени нет 🙂

  3. Softovick4 июля 2009 ~ 00:38

    Сереж, а что, типа sudo aptitude install firefox-3.5 не канает? Правда позавчера ставил, еще бета в репах была, может уже заменили? Кстати, есть как вариант Ubuntu Tweak, там можно подключить репозиторий для Firefox 🙂

  4. Zeboton4 июля 2009 ~ 00:44

    О наличие в репозиториях что-то не подумал, но сейчас посмотрел и увидел что там b4. Через Ubuntu Tweak можно попробовать 🙂

  5. Игорь14 июня 2010 ~ 21:39

    # Устанавливаемую программу нужно загружать с официальных репозиториев. Ладно, это не обязательно, но от неофициальных репозиториев среднестатистическому пользователю по техническим причинам лучше держаться подальше.
    # В некоторых случаях (особенно когда пользователь добавляет сторонние репозитории или инсталлирует пакеты непосредственно) механизм проверки зависимостей оказывается неработоспособным, и пользователи остаются один на один с циклическими зависимостями. Это очень неприятно.
    # Программы привязаны к определённому дистрибутиву, а также — что ещё хуже — к определённой версии этого дистрибутива. Не так просто поставить OpenOffice 3.1 на Ubuntu 8.10. Вы-то можете доказать, что в состоянии установить связку deb-пакетов с веб-сайта OpenOffice.org. Теперь научите этому свою бабушку или вашего пользователя, владеющего компьютером на уровне не выше среднего.
    # Не очень-то просто дать программу своему другу. С точки зрения конечного пользователя, «дать программу другу» должно выглядеть как перетаскивание некоторой иконки на флешку; но нет — нужные файлы разбросаны по всей системе.

    1. не официальные репы — прямой рассадник заразы. Официальные репы проверяются комиссией и попасть пакету с вирем или руткитом мало шансов
    2. нефиг лезть в дебри если не умеете пользовать топор. Собсна из тестинга дебиана все пакеты разруливаются нормально. Думаю из стабильных релизов бунты так же.
    3. ну да. запустить опенофис на допотопном мандрейке. ну не заработает оно, не хватит ему возможностей системы. это всеравно что пытатся запустить приложения для вин95 на вин7. даже с эмулятором не заработают на 90%
    4. а дать пакеты не легче?

    общая оценка статьи на 3 из 5. Чисто за старания. Сразу видно что автор перелез на линь пару месяцев назад. Сам такой был.

Ваш комментарий

*